summaryrefslogtreecommitdiffstats
path: root/libraries/xmonad-contrib/xmonad-contrib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/xmonad-contrib/xmonad-contrib.SlackBuild')
-rw-r--r--libraries/xmonad-contrib/xmonad-contrib.SlackBuild23
1 files changed, 15 insertions, 8 deletions
diff --git a/libraries/xmonad-contrib/xmonad-contrib.SlackBuild b/libraries/xmonad-contrib/xmonad-contrib.SlackBuild
index 7e2e69ee06..86920a3ecc 100644
--- a/libraries/xmonad-contrib/xmonad-contrib.SlackBuild
+++ b/libraries/xmonad-contrib/xmonad-contrib.SlackBuild
@@ -6,7 +6,7 @@
# Public domain.
PRGNAM=xmonad-contrib
-VERSION=${VERSION:-0.8.1}
+VERSION=${VERSION:-0.9.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,10 +18,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -41,19 +44,22 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-runhaskell Setup.lhs configure \
+runghc Setup.lhs configure \
--prefix=/usr \
- --docdir=/usr/doc/$PRGNAM-$VERSION
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared
-runhaskell Setup.lhs build
-runhaskell Setup.lhs copy --destdir=$PKG
-runhaskell Setup.lhs register --gen-script
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-script
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
@@ -66,4 +72,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
mv register.sh $PKG/install/register.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+